Package fr.gouv.vitam.common.format.identification.siegfried

# Class SiegfriedClientFactory

java.lang.Object
fr.gouv.vitam.common.client.VitamClientFactory<SiegfriedClient>
fr.gouv.vitam.common.format.identification.siegfried.SiegfriedClientFactory

All Implemented Interfaces:
  `VitamClientFactoryInterface<SiegfriedClient>`

public class SiegfriedClientFactory extends VitamClientFactory<SiegfriedClient>
Siegfield Client factory

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface fr.gouv.vitam.common.client.VitamClientFactoryInterface

  `VitamClientFactoryInterface.VitamClientType`

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.client.VitamClientFactory

  `clientConfiguration`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final void`
  `changeMode(ClientConfiguration configuration)`
  `static final void`
  `changeMode(String server, int port)`
  `SiegfriedClient`
  `getClient()`
  Get the default type Siegfried client
  `static final SiegfriedClientFactory`
  `getInstance()`
  Get the SiegfriedClientFactory instance

  ### Methods inherited from class fr.gouv.vitam.common.client.VitamClientFactory

  `changeResourcePath, changeServerPort, disableUseAuthorizationFilter, enableUseAuthorizationFilter, getClientConfiguration, getDefaultConfigCient, getDefaultConfigCient, getHttpClient, getHttpClient, getResourcePath, getServiceUrl, getVitamClientType, getVitamThreadPoolExecutor, initialisation, isAllowGzipDecoded, isAllowGzipEncoded, resetConnections, resume, setGzipdecoded, setGzipEncoded, setVitamClientType, shutdown, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static final SiegfriedClientFactory getInstance()
    Get the SiegfriedClientFactory instance
    Returns:
      the instance

  - ### getClient

    public SiegfriedClient getClient()
    Get the default type Siegfried client
    Returns:
      the default Siegfried client

  - ### changeMode

    public static final void changeMode(String server, int port)
    Parameters:
      `server` - the server name to instance
      `port` - the server port to instance

  - ### changeMode

    public static final void changeMode(ClientConfiguration configuration)
    Parameters:
      `configuration` - null for MOCK